Skip to main content
GET
List customers

Authorizations

X-Juo-Admin-Api-Key
string
header
required

Long-lived Admin API key issued from the Juo merchant portal. Pass as the X-Juo-Admin-Api-Key header.

Headers

X-Tenant-ID
string
required

Unique identifier of the tenant in the system (usually a store identifier)

Query Parameters

query
string

Search query. Terms are field:value; comparisons field:>value, :<, :>=, :<=. A bare value without a field is a full-text prefix search. Several bare words in a row are one phrase, as if quoted: the words next to each other, in that order. Quote values in single or double quotes unless they are only letters and digits, with single dots between them, or a UUID as a filter value. Combine terms with AND (binds tighter) and OR, group with parentheses, negate a term or group with NOT or a leading -. Fields: id, displayName, email, phone. Example: email:"[email protected]" OR displayName:Jane. See search query language and the field reference.

limit
integer
default:20

See pagination for more details on how to paginate the results.

Required range: 1 <= x <= 100
after
string

See pagination for more details on how to paginate the results.

Minimum string length: 1
before
string

See pagination for more details on how to paginate the results.

Minimum string length: 1
sort
string
default:id:asc

See sorting for more details on how to sort the results.

Response

Default Response

resource
enum<string>
required
Available options:
list
hasNextPage
boolean
required
hasPrevPage
boolean
required
endCursor
null | string
required
startCursor
null | string
required
data
Customer · object[]
required